Edit a report subscription This must be a subscription that belongs to the current user
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificReportId | integer (int32) | Required | |
| reportSubscriptionId | integer (int32) | Required |
Request Body
ReportSubscriptionRequest
| Property | Description | Type |
|---|---|---|
| dayIndicatorValue | Indicates when to send the report for the given schedule type Values may be: Daily: 0 Weekly: Day of Week - 0 (Sunday) to 6 (Saturday) Monthly: Day of Month - 1 to 28 Quarterly: Month in Quarter - 1, 2, or 3 Must be between 0 and 28 Required | integer (int32) |
| emailMessage | The body of the email Required | string |
| emailSubject | The subject line of the email Must be between 0 and 255 characters Required | string |
| onlySendIfData | Indicates whether or not to email a report if it contains no data. When set to true, the subscribed report will not be emailed, if the report does not contain data. When set to false, if the requested report has no data, it will still be sent. Required | boolean |
| reportFormat | The format in which the generated report should be downloaded Required One of ‘Excel’, ‘Excel data only’, ‘Csv’, ‘PDF’, ‘Word’ | string |
| reportSubscriptionScheduleTypeId | The schedule type of the report Values may be: Daily: 1 Weekly: 2 Monthly: 3 Quarterly: 4 Required One of ‘1’, ‘2’, ‘3’, ‘4’ Case sensitive | integer (int32) |
Example Request Body
{ "dayIndicatorValue": 1, "emailMessage": "string", "emailSubject": "string", "onlySendIfData": false, "reportFormat": "string", "reportSubscriptionScheduleTypeId": 1
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
SpecificReportResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| baseReport | ReportChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| description | The report description | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastViewed | Last time this report was run | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| recommended | Indicates if this is a recommended report | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| relatedReports | List of reports related to this report | RelatedReportResponse[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
RelatedReportResponse properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reportCategory | ReportCategoryChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportCategoryChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| shared | Indicates if this report is shared | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| specificReportCode | Report code | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| specificReportId | Unique identifier for the report | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| specificReportInfo | Report name | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| subscription | ReportSubscriptionChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportSubscriptionChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| user | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| visible | Indicates if this report is visible to the current user | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "baseReport": { "description": "string", "exportFormats": [
{ "exportFormatInfo": "string", "preferred": false
}
], "isLandscape": false, "lastUpdated": "2026-03-30", "reportCode": "string", "reportId": 1, "reportInfo": "string", "reportSource": "string", "reportType": { "reportTypeCode": "string", "reportTypeId": 1, "reportTypeInfo": "string"
}, "tags": [
{ "tagTypeId": 1, "tagTypeInfo": "string", "values": []
}
], "version": "string"
}, "description": "string", "lastViewed": "2026-03-30", "recommended": false, "relatedReports": [
{ "description": "string", "name": "string", "reportSource": "string", "specificReportId": 1
}
], "reportCategory": { "reportCategoryCode": "string", "reportCategoryId": 1, "reportCategoryInfo": "string"
}, "shared": false, "specificReportCode": "string", "specificReportId": 1, "specificReportInfo": "string", "subscription": { "dayIndicator": { "dayIndicatorInfo": "string", "dayIndicatorValue": 1
}, "emailMessage": "string", "emailRecipient": "string", "emailSubject": "string", "onlySendIfData": false, "reportFormat": "string", "reportSubscriptionId": 1, "scheduleType": { "reportSubscriptionScheduleTypeId": 1, "reportSubscriptionScheduleTypeName": "string"
}, "user": { "fullName": "string", "userCode": "string", "userId": 1
}
}, "user": { "fullName": "string", "userCode": "string", "userId": 1
}, "visible": false
}